#---------------------------------------------------------------
# Project         : Mandrakelinux
# Module          : msec
# File            : msec.sh
# Version         : $Id: msec.sh,v 1.12 2004/07/29 23:28:46 flepied Exp $
# Author          : Yoann Vandoorselaere
# Created On      : Wed Feb 13 18:35:58 2002
# Purpose         : settings according to security level
#---------------------------------------------------------------

if [ -r /etc/sysconfig/msec ]; then
	. /etc/sysconfig/msec
fi

if [ `id -u` -ge 500 ]; then
    if [ -n "$UMASK_USER" ]; then
	umask $UMASK_USER
    else
	umask 022
    fi
else
    if [ -n "$UMASK_ROOT" ]; then
	umask $UMASK_ROOT
    else
	umask 002
    fi
fi

if [ -n "$SECURE_LEVEL" ]; then
    if [ "$SECURE_LEVEL" -le 1 ] && ! echo ${PATH} | fgrep -q :.; then
	export PATH=$PATH:.
    fi
fi

export SECURE_LEVEL

[ -n "$TMOUT" ] && typeset -r TMOUT

# msec.sh ends here
